package com.example.wabi.view.screens.basket.items

import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.padding
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp

@Composable
fun CostRow(
    cost: Double, linkUserBasket: String, modifier: Modifier = Modifier
) {
    Row(
        modifier = modifier,
        verticalAlignment = Alignment.CenterVertically
    ) {
        CostCounter(
            cost,
            modifier = Modifier
                .weight(0.5f)
                .padding(10.dp, 0.dp, 10.dp, 0.dp)
        )
        SharedLink(
            linkUserBasket,
            modifier = Modifier
                .weight(0.2f)
                .padding(10.dp, 0.dp, 10.dp, 0.dp)
        )
    }
}